Bug 1460146 - SyncPlan Start Date modified when creating and became Invalid when updating any sync plan field
SyncPlan Start Date modified when creating and became Invalid when updating a...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Sync Plans (Show other bugs)
x86_64 Linux
medium Severity high (vote)
: GA
: --
Assigned To: Walden Raines
Peter Ondrejka
: Triaged
: 1498793 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2017-06-09 05:05 EDT by Djebran Lezzoum
Modified: 2018-02-21 11:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 11:54:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot 1 (85.95 KB, image/png)
2017-06-09 05:05 EDT, Djebran Lezzoum
no flags Details
screenshot 2 (86.36 KB, image/png)
2017-06-09 05:06 EDT, Djebran Lezzoum
no flags Details
screenshot 3 (91.29 KB, image/png)
2017-06-09 05:06 EDT, Djebran Lezzoum
no flags Details
screenshot 4 (95.49 KB, image/png)
2017-06-09 05:07 EDT, Djebran Lezzoum
no flags Details
foreman-debug-output (4.39 MB, application/octet-stream)
2017-06-09 05:11 EDT, Djebran Lezzoum
no flags Details
sync plan creation stage and before saving (49.24 KB, image/png)
2017-08-22 09:35 EDT, Djebran Lezzoum
no flags Details
sync plan creation after submit (53.88 KB, image/png)
2017-08-22 09:36 EDT, Djebran Lezzoum
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21950 None None None 2017-12-12 11:01 EST

  None (edit)
Description Djebran Lezzoum 2017-06-09 05:05:56 EDT
Created attachment 1286347 [details]
screenshot 1

Description of problem:
SyncPlan StartDate modified when creating and became Invalid when updating any sync plan field

Version-Release number of selected component (if applicable):
* candlepin-2.0.35-1.el7.noarch
* candlepin-selinux-2.0.35-1.el7.noarch
* foreman-1.15.0-1.el7sat.noarch
* foreman-cli-1.15.0-1.el7sat.noarch
* foreman-compute-1.15.0-1.el7sat.noarch
* foreman-debug-1.15.0-1.el7sat.noarch
* foreman-discovery-image-3.1.1-22.el7sat.noarch
* foreman-ec2-1.15.0-1.el7sat.noarch
* foreman-gce-1.15.0-1.el7sat.noarch
* foreman-installer-1.15.0-1.el7sat.noarch
* foreman-installer-katello-
* foreman-libvirt-1.15.0-1.el7sat.noarch
* foreman-openstack-1.15.0-1.el7sat.noarch
* foreman-ovirt-1.15.0-1.el7sat.noarch
* foreman-postgresql-1.15.0-1.el7sat.noarch
* foreman-proxy-1.15.0-2.el7sat.noarch
* foreman-rackspace-1.15.0-1.el7sat.noarch
* foreman-selinux-1.15.0-1.el7sat.noarch
* foreman-vmware-1.15.0-1.el7sat.noarch
* katello-3.4.0-3.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-1.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.3.0-1.el7sat.noarch
* katello-common-3.4.0-3.el7sat.noarch
* katello-debug-3.4.0-3.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.0-3.el7sat.noarch
* openldap-2.4.40-13.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-ostree-plugins-1.2.1-1.el7sat.noarch
* pulp-puppet-plugins-2.12.2-1.el7sat.noarch
* pulp-puppet-tools-2.12.2-1.el7sat.noarch
* pulp-rpm-plugins-2.12.2-1.el7sat.noarch
* pulp-selinux-2.12.2-1.el7sat.noarch
* pulp-server-2.12.2-1.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch

How reproducible:

Steps to Reproduce:
1. Goto Content > Sync Plan
2. Create a sync plan with start date for example 2017-16-15

Actual results:
1. The sync plan is created with Start Date 2017-16-14
2. Any attempt to update any field for example name or description or interval lead to error and the start date became with value Invalid Date 

Expected results:
1. The start Date should not be changed by the server
2. The field in the are successfully updated

Additional info:
Comment 1 Djebran Lezzoum 2017-06-09 05:06 EDT
Created attachment 1286348 [details]
screenshot 2
Comment 2 Djebran Lezzoum 2017-06-09 05:06 EDT
Created attachment 1286349 [details]
screenshot 3
Comment 3 Djebran Lezzoum 2017-06-09 05:07 EDT
Created attachment 1286350 [details]
screenshot 4
Comment 4 Djebran Lezzoum 2017-06-09 05:11 EDT
Created attachment 1286355 [details]
Comment 6 Brad Buckingham 2017-06-13 11:09:49 EDT
I have run several tests on the upstream Katello 3.4 build (tfm-rubygem-katello- and am not seeing any errors.

   created a plan with a start date of 2017-06-15 - no error
   updated name, description, start date, enabled and interval - no error

Based on this, moving to POST for QE.
Comment 7 Bryan Kearney 2017-06-15 09:12:43 EDT
The package listed in comment 6 has been delivered to QA, so I am moving this to ON_QA.
Comment 9 Djebran Lezzoum 2017-08-22 09:34:36 EDT
This bug failed verification by automation, and manually
Move to ASSIGNED attach screenshots
Comment 10 Djebran Lezzoum 2017-08-22 09:35 EDT
Created attachment 1316652 [details]
sync plan creation stage and before saving
Comment 11 Djebran Lezzoum 2017-08-22 09:36 EDT
Created attachment 1316653 [details]
sync plan creation after submit
Comment 12 Djebran Lezzoum 2017-08-22 09:38:07 EDT
tested on satellite 6.3 snap 12
Comment 13 Brad Buckingham 2017-09-22 10:54:34 EDT

Since you have done a lot of timezone related work in the past, can you take a look at this one?

No code changes were made to address it; however, I was unable to reproduce it on my environment.  The one key difference between our test scenarios is timezone.

Also, the current behavior seen is not the validation error on update, but the fact that the date selected during create, is not shown after the creation.  Instead, it appears to be day-1.  (Refer to the screenshots in comment 10 and comment 11).
Comment 14 Walden Raines 2017-09-22 12:18:55 EDT
Sure, thanks for the initial investigation.
Comment 15 Dan Seethaler 2017-09-26 10:34:38 EDT
Djebran can you provide some more information about the setup you have to reproduce this issue? I've tried changing my timezone in foreman, creating multiple sync plans, setting the hours field to different values, but I'm not able to see the issue.
Comment 16 Walden Raines 2017-10-03 10:31:28 EDT
Could be related to https://github.com/Katello/katello/pull/6872 (bug #1438845).  Can you reproduce this in a recent snap?
Comment 17 Djebran Lezzoum 2017-10-03 11:01:22 EDT
HI Walden, 

Tested yesterday in a meeting with Dan and it was reproducible on satellite 6.3 snap 18.
Comment 18 Brad Buckingham 2017-10-13 10:30:00 EDT
*** Bug 1498793 has been marked as a duplicate of this bug. ***
Comment 19 Walden Raines 2017-12-12 10:08:10 EST
Created redmine issue http://projects.theforeman.org/issues/21950 from this bug
Comment 20 Walden Raines 2018-01-17 16:29:55 EST
I cannot reproduce this given the steps to reproduce.  Please provide additional steps to reproduce.
Comment 21 Djebran Lezzoum 2018-01-18 09:07:19 EST
Hi Walden!

I also cannot reproduce that behavior any more.
Comment 22 Peter Ondrejka 2018-01-24 10:04:13 EST
Verified on Sat 6.3 snap 33
Comment 23 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.